Name:       perl-Sort-Naturally 
Version:    1.03
Release:    1%{?dist}
License:    GPL-1.0-or-later OR Artistic-1.0-Perl
Summary:    Sort lexically, but sort numeral parts numerically 
Source0:     https://cpan.metacpan.org/authors/id/B/BI/BINGOS/Sort-Naturally-%{version}.tar.gz
Url:        https://metacpan.org/release/Sort-Naturally
BuildArch:  noarch
BuildRequires: make
BuildRequires: perl-generators
BuildRequires: perl-interpreter
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(strict)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(integer)
BuildRequires: perl(locale)
BuildRequires: perl(Test)

%description
This module exports two functions, 'nsort' and 'ncmp'; they are used in
implementing my idea of a "natural sorting" algorithm. Under natural
sorting, numeric substrings are compared numerically, and other
word-characters are compared lexically.

%prep
%setup -q -n Sort-Naturally-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.03-1
- initial build
